// TODO: временная утилита, удалим при рефакторинге компонента (когда добавим тип для value: object}.
export const mapCheckedVariants = (checkedValue, multiple = false)=>{
    if (checkedValue === true || checkedValue === false) {
        return checkedValue;
    }
    if (!multiple && checkedValue === 'done') {
        return true;
    }
    if (!multiple && checkedValue === 'dot' || multiple && checkedValue === 'indeterminate') {
        return 'indeterminate';
    }
    return false;
};
